%define anolis_release 1
%global pypi_name fonttools
%bcond_with tests

Name:           fonttools
Version:        4.39.2
Release:        %{anolis_release}%{?dist}
Summary:        Tools to manipulate font files
License:        MIT
URL:            https://github.com/fonttools/fonttools/
Source0:	https://github.com/fonttools/fonttools/archive/refs/tags/%{version}.tar.gz

Requires:       python3-fonttools
Requires:       python3-setuptools

Provides:       ttx = %{version}-%{release}

%description
fontTools is a library for manipulating fonts, written in Python. The project \
includes the TTX tool, that can convert TrueType and OpenType fonts to and \
from an XML text format, which is also called TTX. It supports TrueType, \
OpenType, AFM and to an extent Type 1 and some Mac-specific formats.

%package -n python3-fonttools
Summary:        Python 3 fonttools library
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-setuptools_scm

BuildRequires:  python3-Cython
BuildRequires:  gcc
Requires:       python3-brotli
Requires:       python3-munkres
Requires:       python3-lxml
Requires:       python3-scipy
Requires:       python3-fs

# test requirements
%if %{with tests}
BuildRequires:  python3-zopfli
BuildRequires:  python3-pytest
BuildRequires:  python3-brotli
BuildRequires:  python3-munkres
BuildRequires:  python3-scipy
BuildRequires:  python3-fs
BuildRequires:  python3-lxml
BuildRequires:  python3-ufoLib2
%endif

# From 3.31.0 and on, python3-fonttools incorporated the ufolib project under fontTools.ufoLib
# python-ufolib has been retired and fontTools.ufoLib should be used instead.
# See https://github.com/fonttools/fonttools/releases/tag/3.31.0 for further reference
Obsoletes: python3-ufolib <= 2.1.1-11

%description -n python3-fonttools
fontTools is a library for manipulating fonts, written in Python. The project \
includes the TTX tool, that can convert TrueType and OpenType fonts to and \
from an XML text format, which is also called TTX. It supports TrueType, \
OpenType, AFM and to an extent Type 1 and some Mac-specific formats.

%{?python_extras_subpkg:%python_extras_subpkg -n python3-fonttools -i %{python3_sitearch}/%{name}-%{version}-py%{python3_version}.egg-info graphite interpolatable lxml plot symfont type1 ufo unicode woff}

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{EVR}
requires:	python3-fonttools = %{EVR}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -p1
rm -rf *.egg-info
sed -i '1d' Lib/fontTools/mtiLib/__init__.py

%build
export FONTTOOLS_WITH_CYTHON=1
%py3_build

%install
%{__python3} setup.py install --skip-build --root %{buildroot}

%if %{with tests}
%check
PYTHONPATH=%{buildroot}%{python3_sitearch} %{python3} -m pytest --ignore Tests/otlLib/optimize_test.py --ignore Tests/varLib/merger_test.py --ignore Tests/varLib/varLib_test.py
%endif

%files
%{_bindir}/pyftmerge
%{_bindir}/pyftsubset
%{_bindir}/ttx
%{_bindir}/fonttools
%{_mandir}/man1/ttx.1*

%files -n python3-fonttools
%license LICENSE
%{python3_sitearch}/fontTools
%{python3_sitearch}/%{name}-%{version}-py%{python3_version}.egg-info

%files doc
%doc NEWS.rst README.rst

%changelog
* Fri Mar 24 2023 happy_orange <songnannan@linux.alibaba.com> - 4.39.2-1
- init package from upstream
